> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/general/control/wisej.web.focuseventhandler.md).

# FocusEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that handles these events: [GotFocus](/api/wisej.web/general/control.md#gotfocus) and [LostFocus](/api/wisej.web/general/control.md#lostfocus).<mark style="color:blue;background-color:green;">Since 3.5.18</mark>

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void FocusEventHandler(Object sender, FocusEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub FocusEventHandler(ByVal sender As [Object], ByVal e As FocusEventArgs)
```

{% endtab %}
{% endtabs %}

This delegate is not used in Wisej.NET. The [GotFocus](/api/wisej.web/general/control.md#gotfocus) and [LostFocus](/api/wisej.web/general/control.md#lostfocus) events are [EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) to preserve compatibility with existing code.\
Developers handling these events can simply check whether the parameter `e` is of type [FocusEventArgs](/api/wisej.web/general/control/wisej.web.focuseventargs.md) and retrieve the value by casting the event data argument.

## Parameters

| Name       | Type                                                                         | Description                                                                                                  |
| ---------- | ---------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------ |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                | The source of the event.                                                                                     |
| **e**      | [FocusEventArgs](/api/wisej.web/general/control/wisej.web.focuseventargs.md) | A [FocusEventArgs](/api/wisej.web/general/control/wisej.web.focuseventargs.md) that contains the event data. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/general/control/wisej.web.focuseventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
